package net.rzdata.demo.trait;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

public abstract class BaseRepository<T, M extends BaseMapper<T>> {

    private final transient M mapper;

    public BaseRepository(M mapper) {
        this.mapper = mapper;
    }

    public M get() {
        return this.mapper;
    }
}
